Fetch a list of Check resultsAsk AIget https://api.kolide.com/devices/{deviceId}/check_resultsPath ParamsdeviceIdstringrequiredThe device ID of the checkQuery ParamscursorstringSpecify the cursor to begin returning results fromper_pageint321 to 100Defaults to 25Specify the number of records to return in each response.querystringA query clause used to filter the set of resources returned. Use : for exact matches (including for boolean fields), ~ for partial-string matches. :["a","b","c"] or :[1,2,3] can be used for fields that support multi-value search. Datetime fields support exact-matching (:) as well as less-than (<) and greater-than (>). The searchable fields are: device_display_name , ran_at , check_name , status Search clauses can be combined with the AND and OR operators. For more information, see the search documentation.Headersx-kolide-api-versionstringDefaults to 2023-05-26Specify the API version to be usedResponses 200A paginated collection of Check results 401An 'unauthorized' response may occur for features restricted by or unavailable to your organization 403A 'forbidden' response may occur if the API key does not have necessary permissions to perform certain actionsUpdated about 1 year ago